{ instancesFunctions }:
let
  inherit (instancesFunctions)
    jellyfinLabel
    jellyfinName
    audiobookshelfLabel
    audiobookshelfName
    servicePath
    sopsPath
    ;

  sambaLabel = "Samba";
  sambaName = "samba";
in
{
  label = sambaLabel;
  name = sambaName;
  sops = {
    path0 = "${sopsPath}/${sambaName}";
  };
  paths = {
    path0 = "${servicePath}/${jellyfinLabel}";
    path1 = jellyfinName;
    path2 = "";
    path3 = "${servicePath}/${audiobookshelfLabel}";
    path4 = audiobookshelfName;
    path6 = "";
  };
  ports = {
    port0 = 445; # Samba
  };
}
